import java.util.Date;
import java.util.Calendar;
import java.util.GregorianCalendar;
import java.util.TimeZone;

class JavaDateTest
{
	//--------------------------------------------------------------------------
	//Date test

	public static Date Test(Date param)
	{
		Calendar tempCal = new GregorianCalendar(TimeZone.getTimeZone("GMT"));
		tempCal.setTime(param);
		tempCal.set(Calendar.YEAR, tempCal.get(Calendar.YEAR) + 1);
		return tempCal.getTime();
	}

	public static Date[][][] Test3D(Date[][][] param)
	{
		int i1, i2, i3, len1, len2, len3;

		len1 = param.length;
		for (i1=0; i1<len1; i1++)
		{
			len2 = param[i1].length;
			for (i2=0; i2<len2; i2++)
			{
				len3 = param[i1][i2].length;
				for (i3=0; i3<len3; i3++)
				{
					Calendar tempCal = new GregorianCalendar(TimeZone.getTimeZone("GMT"));
					tempCal.setTime(param[i1][i2][i3]);
					tempCal.set(Calendar.YEAR, tempCal.get(Calendar.YEAR) + 1);
					param[i1][i2][i3] = tempCal.getTime();
				}
			}
		}
		return param;
	}
}
